Index: h8300.rcx
===================================================================
RCS file: /cvsroot/brickos/brickos/h8300.rcx,v
retrieving revision 1.4
diff -u -r1.4 h8300.rcx
--- h8300.rcx	16 Feb 2003 20:43:49 -0000	1.4
+++ h8300.rcx	20 Jan 2005 19:29:49 -0000
@@ -16,7 +16,7 @@
   ram      : o = 0x8000, l = 0x6f30
   lcddata  : o = 0xef30, l = 0x0020   /* display memory */
   ram2     : o = 0xef50, l = 0x00b0
-  ram3     : o = 0xf002, l = 0x0b7e
+  ram3     : o = 0xf000, l = 0x0b80
   romdata  : o = 0xfd80, l = 0x0040   /* port shadows, interrupt vectors */
   ram4     : o = 0xfe00, l = 0x0100
 
@@ -49,7 +49,7 @@
     
   .text :	{
     ___text = . ;
-    *(.text) 	      /* must start with text for clean entry */			
+    *(.text) 	      /* must start with text for clean entry */
     *(.rodata)
     *(.strings)
     *(.vectors)       /* vectors region (dummy) */
@@ -74,7 +74,13 @@
     __edata = . ;
   } > ram
 
-  .bss : {
+  .text.hi : AT (__edata) {
+    ___text_hi = . ;
+    *(.text.hi)
+    ___etext_hi = . ;
+  } > ram3
+
+  .bss __edata : AT (__edata + ___etext_hi - ___text_hi) {
     ___bss     = . ;
     _bss_start = . ; 
     *(.bss)
@@ -84,12 +90,6 @@
     _end       = ALIGN(2) ;  
   } >ram
 
-  .text.hi : AT (_bss_start) {
-    ___text_hi = . ;
-    *(.text.hi)
-    ___etext_hi = . ;
-  } > ram3
-
   .lcddata : {
     _display_memory =  0xef43 - 0xef30 ; 
     
Index: lib/c++/stub.c
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/c++/stub.c,v
retrieving revision 1.2
diff -u -r1.2 stub.c
--- lib/c++/stub.c	26 Jan 2004 03:08:10 -0000	1.2
+++ lib/c++/stub.c	13 Aug 2004 23:28:08 -0000
@@ -96,3 +96,9 @@
   __terminate();
 }
 
+void
+__cxa_pure_virtual()
+{
+  __terminate();
+}
+
Index: lib/float/addsf3.s
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/float/addsf3.s,v
retrieving revision 1.2
diff -u -r1.2 addsf3.s
--- lib/float/addsf3.s	16 Feb 2004 02:44:49 -0000	1.2
+++ lib/float/addsf3.s	13 Aug 2004 23:28:08 -0000
@@ -184,7 +184,7 @@
         mov.w   @(6,r7),r1
         not.b   r2l             ; negate exponent difference
         not.b   r2h
-        adds.w  #1,r2
+        adds    #1,r2
 
     endif_2:
 
Index: lib/float/expandsf.s
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/float/expandsf.s,v
retrieving revision 1.2
diff -u -r1.2 expandsf.s
--- lib/float/expandsf.s	16 Feb 2004 02:45:14 -0000	1.2
+++ lib/float/expandsf.s	13 Aug 2004 23:28:08 -0000
@@ -118,7 +118,7 @@
 
                 ; Decrement exponent
 
-                subs.w  #1,r4
+                subs    #1,r4
 
                 ; Is one bit set?  (one bit is in 1 << 23 or 00800000 position)
 
Index: lib/float/fixsfsi.s
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/float/fixsfsi.s,v
retrieving revision 1.2
diff -u -r1.2 fixsfsi.s
--- lib/float/fixsfsi.s	16 Feb 2004 02:46:17 -0000	1.2
+++ lib/float/fixsfsi.s	13 Aug 2004 23:28:08 -0000
@@ -192,7 +192,7 @@
 
     ; Subtract bias + 31 from exponent
 
-    add.b   #-158,r4l           ; subtract bias + 31 from exponent
+    add.b   #256-158,r4l        ; subtract bias + 31 from exponent
     addx.b  #-1,r4h
 
     ; Is exponent < 0 ?
Index: lib/float/floatsisf.s
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/float/floatsisf.s,v
retrieving revision 1.2
diff -u -r1.2 floatsisf.s
--- lib/float/floatsisf.s	16 Feb 2004 02:46:17 -0000	1.2
+++ lib/float/floatsisf.s	13 Aug 2004 23:28:08 -0000
@@ -135,7 +135,7 @@
 
         ; Increase exponent
 
-        adds.w  #1,r4           ; add one to exponent
+        adds    #1,r4           ; add one to exponent
 
         bra     endif_1
 
Index: lib/float/joinsf.s
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/float/joinsf.s,v
retrieving revision 1.2
diff -u -r1.2 joinsf.s
--- lib/float/joinsf.s	16 Feb 2004 02:46:17 -0000	1.2
+++ lib/float/joinsf.s	13 Aug 2004 23:28:08 -0000
@@ -197,7 +197,7 @@
 
         ; Increase exponent
 
-        adds.w  #1,r4           ; add one to exponent
+        adds    #1,r4           ; add one to exponent
 
     endif_5:
 
Index: lib/float/normalsf.s
===================================================================
RCS file: /cvsroot/brickos/brickos/lib/float/normalsf.s,v
retrieving revision 1.2
diff -u -r1.2 normalsf.s
--- lib/float/normalsf.s	16 Feb 2004 02:47:58 -0000	1.2
+++ lib/float/normalsf.s	13 Aug 2004 23:28:08 -0000
@@ -51,7 +51,7 @@
 
         ; Decrement exponent
 
-        subs.w  #1,r4
+        subs    #1,r4
 
         ; Repeat
 
Index: util/dll-src/genlds.c
===================================================================
RCS file: /cvsroot/brickos/brickos/util/dll-src/genlds.c,v
retrieving revision 1.4
diff -u -r1.4 genlds.c
--- util/dll-src/genlds.c	3 Jan 2004 19:57:46 -0000	1.4
+++ util/dll-src/genlds.c	13 Aug 2004 23:28:08 -0000
@@ -192,7 +192,7 @@
   .stack : {\n\
     _stack = . ; \n\
     *(.stack)\n\
-  }  > topram\n\
+  }  > stack\n\
 \n\
   .eight 0xff00: {\n\
     *(.eight)\n\
